%define majversion %(echo %version | cut -d. -f 1-2)

Name:          nano
Version:       2.6.1
Release:       1mamba
Summary:       GNU nano is a small and friendly text editor
Group:         Applications/Text
Vendor:        openmamba
Distribution:  openmamba
Packager:      Tiziana Ferro <tiziana.ferro@email.it>
URL:           http://www.nano-editor.org
Source:        http://www.nano-editor.org/dist/v%{majversion}/%{name}-%{version}.tar.gz
License:       GPL
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
Requires(post):%{__install_info}

%description
GNU nano is a small and friendly text editor.
Besides basic text editing, nano offers many extra features like an interactive search and replace, goto line number, auto-indentation, feature toggles, internationalization support, and filename tab completion.

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%{find_lang} %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
%install_info %{name}.info

%preun
%uninstall_info %{name}.info
exit 0

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/nano
%{_bindir}/rnano
%dir %{_datadir}/nano
%{_datadir}/nano/*
%{_infodir}/nano.info.*
%{_mandir}/man?/nano*.*
%{_mandir}/man?/rnano*.*
%{_mandir}/fr/man?/*.gz
%dir %{_docdir}/nano
%{_docdir}/nano/*
%doc AUTHORS COPYING THANKS

%changelog
* Mon Jun 27 2016 Automatic Build System <autodist@mambasoft.it> 2.6.1-1mamba
- automatic version update by autodist

* Wed Jun 22 2016 Automatic Build System <autodist@mambasoft.it> 2.6.0-1mamba
- automatic version update by autodist

* Mon Feb 29 2016 Automatic Build System <autodist@mambasoft.it> 2.5.3-1mamba
- automatic version update by autodist

* Sun Feb 14 2016 Automatic Build System <autodist@mambasoft.it> 2.5.2-1mamba
- automatic version update by autodist

* Thu Jan 14 2016 Automatic Build System <autodist@mambasoft.it> 2.5.1-1mamba
- automatic version update by autodist

* Sat Dec 12 2015 Automatic Build System <autodist@mambasoft.it> 2.5.0-1mamba
- automatic version update by autodist

* Wed Nov 18 2015 Automatic Build System <autodist@mambasoft.it> 2.4.3-1mamba
- automatic version update by autodist

* Sun Jul 05 2015 Automatic Build System <autodist@mambasoft.it> 2.4.2-1mamba
- automatic version update by autodist

* Sun Apr 19 2015 Automatic Build System <autodist@mambasoft.it> 2.4.1-1mamba
- automatic version update by autodist

* Fri Mar 27 2015 Automatic Build System <autodist@mambasoft.it> 2.4.0-1mamba
- automatic version update by autodist

* Mon Aug 25 2014 Automatic Build System <autodist@mambasoft.it> 2.3.6-1mamba
- automatic update by autodist

* Sun Jul 13 2014 Automatic Build System <autodist@mambasoft.it> 2.3.4-1mamba
- automatic update by autodist

* Wed Jun 04 2014 Automatic Build System <autodist@mambasoft.it> 2.3.3-1mamba
- automatic update by autodist

* Tue Mar 26 2013 Automatic Build System <autodist@mambasoft.it> 2.3.2-1mamba
- automatic version update by autodist

* Thu Jul 21 2011 Automatic Build System <autodist@mambasoft.it> 2.2.6-1mamba
- update to 2.2.6

* Wed Nov 19 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.9-1mamba
- automatic update by autodist

* Fri Jan 04 2008 Tiziana Ferro <tiziana.ferro@email.it> 2.0.7-1mamba
- update to 2.0.7

* Tue Oct 04 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.2.5-1qilnx
- update to version 1.2.5 by autospec
- install/uninstall info pages

* Thu Feb 24 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.4-2qilnx
- fixed specfile Group entry

* Fri Dec 31 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.4-1qilnx
- package created by autospec
